
/**
 * Created by dan on 6/14/17.
 */
public class StringUtilities {
    /**
     * @return `Hello World` as a string
     */
    public static String getHelloWorld() {
        return "Hello World";
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of two strings, `firstSegment`, and `secondSegment`
     */
    public static String concatenation(String firstSegment, String secondSegment){
        //StringBuilder sb=new StringBuilder().append(firstSegment).append(secondSegment);
        //return sb.toString();
        return (firstSegment + secondSegment);

    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of an integer, `firstSegment`, and a String, `secondSegment`
     */
    public static String concatenation(int firstSegment, String secondSegment){
        StringBuilder sum=new StringBuilder().append(firstSegment).append(secondSegment);
        return sum.toString();
    }

    /**
     * @param input a string to be manipulated
     * @return the first 3 characters of `input`
     */
    public static String getPrefix(String input){
        String str=input.substring(0,3);
        return str;
    }

    /**
     * @param input a string to be manipulated
     * @return the last 3 characters of `input`
     */
    public static String getSuffix(String input){
        String str=input.substring(input.length() - 3);
        return str;
    }

    /**
     * @param inputValue the value to be compared
     * @param comparableValue the value to be compared against
     * @return the equivalence of two strings, `inputValue` and `comparableValue`
     */
    public static Boolean compareTwoStrings(String inputValue, String comparableValue){

        boolean val =inputValue.equalsIgnoreCase(comparableValue);
        return val;

    }

    /**
     * @param inputValue the value input from user
     * @return the middle character of `inputValue`
     */
    public static Character getMiddleCharacter(String inputValue){
        int len = inputValue.length();
        char ch[]=inputValue.toCharArray();
        int c = len/2;
          if(len%2 == 0)
          {
              return ch [c-1];
            }          
        else
        {
            
            return ch[c];
        } 
      
    }
    /**
     * @param spaceDelimitedString a string, representative of a sentence, containing spaces
     * @return the first sequence of characters
     */
    public static String getFirstWord(String spaceDelimitedString){
        String[] result=spaceDelimitedString.split(" ");
        /*for(int i = 0; i < spaceDelimitedString.length(); i++)
        {
            if(spaceDelimitedString.charAt(i) == ' ')
            {
                result = spaceDelimitedString.substring(0, i);
                break;
            }
        }*/
        return result[0];

    }

    /**
     * @param spaceDelimitedString a string delimited by spaces
     * @return the second word of a string delimited by spaces.
     */
    public static String getSecondWord(String spaceDelimitedString)

    {
       String[] str=spaceDelimitedString.split(" ");
       return str[1];
    }

    /**
     * @param stringToReverse
     * @return an identical string with characters in reverse order.
     */
    public static String reverse(String stringToReverse){
        StringBuilder a = new StringBuilder(stringToReverse);
        String str=a.reverse().toString();

        return str;
    }
}
